export { O as OtelConfig, S as SamplingStrategy, T as Telemetry } from '../base-hs9NDAZ2.cjs';
import { SpanKind } from '@opentelemetry/api';
import { ExportResult } from '@opentelemetry/core';
import { SpanExporter, ReadableSpan } from '@opentelemetry/sdk-trace-base';
import { L as Logger } from '../index-mKY1XrpK.cjs';
import { M as MastraStorage } from '../base-CbCmDLUb.cjs';
import 'stream';
import 'pino';
import 'ai';
import 'sift';
import 'zod';
import 'json-schema';
import '../types-m9RryK9a.cjs';
import '../vector/index.cjs';
import '../vector/filter/index.cjs';
import '../voice/index.cjs';
import '../tts/index.cjs';

declare function withSpan(options: {
    spanName?: string;
    skipIfNoTelemetry?: boolean;
    spanKind?: SpanKind;
    tracerName?: string;
}): any;
declare function InstrumentClass(options?: {
    prefix?: string;
    spanKind?: SpanKind;
    excludeMethods?: string[];
    methodFilter?: (methodName: string) => boolean;
    tracerName?: string;
}): (target: any) => any;

declare function hasActiveTelemetry(tracerName?: string): boolean;

declare class OTLPTraceExporter implements SpanExporter {
    private storage;
    private queue;
    private serializer;
    private logger;
    private activeFlush;
    constructor({ logger, storage }: {
        logger: Logger;
        storage: MastraStorage;
    });
    export(internalRepresentation: ReadableSpan[], resultCallback: (result: ExportResult) => void): void;
    shutdown(): Promise<void>;
    flush(): Promise<void>;
    forceFlush(): Promise<void>;
    __setLogger(logger: Logger): void;
}

export { InstrumentClass, OTLPTraceExporter as OTLPStorageExporter, hasActiveTelemetry, withSpan };
