import { z } from 'zod';
import { o as ToolExecutionContext, m as ToolAction, g as MastraPrimitives } from '../base-CbCmDLUb.cjs';
export { Z as CoreTool } from '../base-CbCmDLUb.cjs';
import 'ai';
import '../base-hs9NDAZ2.cjs';
import '@opentelemetry/api';
import '../index-mKY1XrpK.cjs';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import 'sift';
import 'json-schema';
import '../types-m9RryK9a.cjs';
import '../vector/index.cjs';
import '../vector/filter/index.cjs';
import '../voice/index.cjs';
import '../tts/index.cjs';

declare class Tool<TId extends string, TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>, TOptions extends unknown = unknown> implements ToolAction<TId, TSchemaIn, TSchemaOut, TContext, TOptions> {
    id: TId;
    description?: string;
    inputSchema?: TSchemaIn;
    outputSchema?: TSchemaOut;
    execute?: (context: TContext, options?: TOptions) => Promise<TSchemaOut extends z.ZodSchema ? z.infer<TSchemaOut> : unknown>;
    mastra?: MastraPrimitives;
    constructor(opts: ToolAction<TId, TSchemaIn, TSchemaOut, TContext>);
}
declare function createTool<TId extends string, TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>>(opts: ToolAction<TId, TSchemaIn, TSchemaOut, TContext>): Tool<TId, TSchemaIn, TSchemaOut, TContext, unknown>;

export { Tool, ToolAction, ToolExecutionContext, createTool };
