import { VectorFilter } from '../filter/index.js';
import { MastraVector, ParamsToArgs, QueryVectorParams, QueryResult, UpsertVectorParams, CreateIndexParams, IndexStats } from '../index.js';
import '../../base-D90KQ4XI.js';
import '@opentelemetry/api';
import '../../index-mKY1XrpK.js';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';

interface LibSQLQueryParams extends QueryVectorParams {
    minScore?: number;
}
declare class LibSQLVector extends MastraVector {
    private turso;
    constructor({ connectionUrl, authToken, syncUrl, syncInterval, }: {
        connectionUrl: string;
        authToken?: string;
        syncUrl?: string;
        syncInterval?: number;
    });
    protected rewriteDbUrl(url: string): string;
    transformFilter(filter?: VectorFilter): VectorFilter;
    query(...args: ParamsToArgs<LibSQLQueryParams>): Promise<QueryResult[]>;
    upsert(...args: ParamsToArgs<UpsertVectorParams>): Promise<string[]>;
    createIndex(...args: ParamsToArgs<CreateIndexParams>): Promise<void>;
    deleteIndex(indexName: string): Promise<void>;
    listIndexes(): Promise<string[]>;
    describeIndex(indexName: string): Promise<IndexStats>;
    truncateIndex(indexName: string): Promise<void>;
}

export { LibSQLVector as DefaultVectorDB, LibSQLVector };
