export { S as Step, W as Workflow, c as createStep } from '../workflow-DlRFMI4Q.cjs';
import { $ as VariableReference, h as StepResult } from '../base-CbCmDLUb.cjs';
export { a1 as ActionContext, a0 as BaseCondition, aa as DependencyCheckOutput, ag as ExtractSchemaFromStep, aj as ExtractSchemaType, ah as ExtractStepResult, ak as PathsToStringProps, a7 as ResolverFunctionInput, a8 as ResolverFunctionOutput, R as RetryConfig, f as StepAction, a3 as StepCondition, j as StepConfig, a2 as StepDef, e as StepExecutionContext, l as StepGraph, af as StepId, ai as StepInputType, _ as StepNode, i as StepVariableType, a9 as SubscriberFunctionOutput, ac as WorkflowActionParams, ad as WorkflowActions, ab as WorkflowActors, a4 as WorkflowContext, a6 as WorkflowEvent, a5 as WorkflowLogMessage, W as WorkflowOptions, al as WorkflowResumeResult, k as WorkflowRunState, ae as WorkflowState } from '../base-CbCmDLUb.cjs';
import '@opentelemetry/api';
import 'zod';
import '../base-hs9NDAZ2.cjs';
import '../index-mKY1XrpK.cjs';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import 'ai';
import 'sift';
import 'json-schema';
import '../types-m9RryK9a.cjs';
import '../vector/index.cjs';
import '../vector/filter/index.cjs';
import '../voice/index.cjs';
import '../tts/index.cjs';

declare function isErrorEvent(stateEvent: any): stateEvent is {
    type: `xstate.error.actor.${string}`;
    error: Error;
};
declare function isTransitionEvent(stateEvent: any): stateEvent is {
    type: `xstate.done.actor.${string}`;
    output?: unknown;
};
declare function isVariableReference(value: any): value is VariableReference<any, any>;
declare function getStepResult(result?: StepResult<any>): any;
declare function getSuspendedPaths({ value, path, suspendedPaths, }: {
    value: string | Record<string, string>;
    path: string;
    suspendedPaths: Set<string>;
}): void;
declare function isFinalState(status: string): boolean;
declare function recursivelyCheckForFinalState({ value, suspendedPaths, path, }: {
    value: string | Record<string, string>;
    suspendedPaths: Set<string>;
    path: string;
}): boolean;
declare function getActivePathsAndStatus(value: Record<string, any>): Array<{
    stepPath: string[];
    stepId: string;
    status: string;
}>;
declare function mergeChildValue(startStepId: string, parent: Record<string, any>, child: Record<string, any>): Record<string, any>;
declare const updateStepInHierarchy: (value: Record<string, any>, targetStepId: string) => Record<string, any>;
declare function getResultActivePaths(state: {
    value: Record<string, string>;
    context: {
        steps: Record<string, any>;
    };
}): Map<string, {
    status: string;
    suspendPayload?: any;
}>;

export { StepResult, VariableReference, getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isErrorEvent, isFinalState, isTransitionEvent, isVariableReference, mergeChildValue, recursivelyCheckForFinalState, updateStepInHierarchy };
